a13nDocs

列出 agent

工作空间的 agent。`q` 对名称或描述进行不区分大小写的匹配;`archived` 仅保留已归档或未归档的 agent;`source=builtin` 查找 Agent Composer;skill 筛选保留含有固定引用该 skill 或 skill 修订版本的修订版本的 agent。

GET/api/v1/agents

工作空间的 agent。q 对名称或描述进行不区分大小写的匹配;archived 仅保留已归档或未归档的 agent;source=builtin 查找 Agent Composer;skill 筛选保留含有固定引用该 skill 或 skill 修订版本的修订版本的 agent。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

查询参数

label?array<string>|null
q?|null
archived?boolean|null
source?|null
skill_id?|null
skill_revision_id?|null
limit?Limit
范围1 <= value <= 100
默认值50
cursor?string|null

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/agents"
{  "items": [    {      "archived_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by_id": "string",      "default_revision_id": "string",      "description": "string",      "id": "string",      "image_url": "string",      "labels": {        "property1": "string",        "property2": "string"      },      "name": "string",      "organization_id": "string",      "source": "custom",      "updated_at": "2019-08-24T14:15:22Z",      "updated_by_id": "string",      "version": 0,      "workspace_id": "string"    }  ],  "next_cursor": "string"}